Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8380 - tar 1.12 --exclude broken; /proc fills tape!
Summary: tar 1.12 --exclude broken; /proc fills tape!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tar
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-11 19:06 UTC by Karl O. Pinc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-26 13:25:43 UTC


Attachments (Terms of Use)

Description Karl O. Pinc 2000-01-11 19:06:18 UTC
tar -C / --exclude='./proc/*' -cf /dev/nst0 .
does not exclude /proc.  tar -1.13.?? (as shipped on RedHat 6.1) does
exclude.

The exclude pattern in version 1.12 is not being compared against a
pathname with a leading "./".  The leading "./" is missing.  Or that's what
it _seems_ like is happening.  I haven't looked at the source code.

Tapes are filling up and the system is not getting full backups.

Installing tar 1.13 fixes this.

Comment 1 Karl O. Pinc 2000-01-13 18:23:59 UTC
Version 1.12 of tar also was not able to read a tar file created on a hp-ux 9
system.

Comment 2 Jeff Johnson 2000-01-14 20:40:59 UTC
Tar-1.13.n is available in Raw Hide.

Can you supply a small hppux 9 tar ball for analysis and testing? Thanks.


Note You need to log in before you can comment on or make changes to this bug.